Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package reflect
  Definition Classes
    scala
-  package macros
  Definition Classes
    reflect
-  package contexts
  Definition Classes
    macros
- Aliases
- Context
- Enclosures
- Evals
- ExprUtils
- FrontEnds
- Infrastructure
- Internals
- Names
- Parsers
- Reifiers
- Traces
- Typers

t

scala.reflect.macros.contexts

# Traces

###

#### trait Traces extends util.Traces

Self Type
  Context
Source
  Traces.scala

Linear Supertypes
util.Traces, AnyRef, Any
Known Subclasses
Context
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Traces
2. Traces
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from Traces toany2stringadd[Traces] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (Traces, B)
   Implicit
     This member is added by an implicit conversion from Traces toArrowAssoc[Traces] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
8.  def ensuring(cond: (Traces) => Boolean, msg: => Any): Traces
   Implicit
     This member is added by an implicit conversion from Traces toEnsuring[Traces] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
9.  def ensuring(cond: (Traces) => Boolean): Traces
   Implicit
     This member is added by an implicit conversion from Traces toEnsuring[Traces] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: Boolean, msg: => Any): Traces
    Implicit
      This member is added by an implicit conversion from Traces toEnsuring[Traces] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean): Traces
    Implicit
      This member is added by an implicit conversion from Traces toEnsuring[Traces] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
14.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
15.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from Traces toStringFormat[Traces] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
16.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
17.  def globalSettings: Settings
    Definition Classes
      Traces → Traces
18.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
19.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
20.  val macroDebugLite: Boolean
    Definition Classes
      Traces
21.  val macroDebugVerbose: Boolean
    Definition Classes
      Traces
22.  final def macroLogLite(msg: => Any): Unit
    Definition Classes
      Traces
    Annotations
      @inline()
23.  final def macroLogVerbose(msg: => Any): Unit
    Definition Classes
      Traces
    Annotations
      @inline()
24.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
25.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
26.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
27.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
28.  def toString(): String
    Definition Classes
      AnyRef → Any
29.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
30.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
31.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Deprecated Value Members

1.  def →[B](y: B): (Traces, B)
   Implicit
     This member is added by an implicit conversion from Traces toArrowAssoc[Traces] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from util.Traces

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromTraces to any2stringadd[Traces]

### Inherited by implicit conversion StringFormat fromTraces to StringFormat[Traces]

### Inherited by implicit conversion Ensuring fromTraces to Ensuring[Traces]

### Inherited by implicit conversion ArrowAssoc fromTraces to ArrowAssoc[Traces]

### Ungrouped